DRM_GEM_CMA_PRIME_MM(9)

NAME
drm_gem_cma_prime_mmap - memory-map an exported CMA GEM object

SYNOPSIS

int drm_gem_cma_prime_mmap(struct drm_gem_object * obj, struct vm_area_struct * vma);

ARGUMENTS

obj
    GEM object

vma
    VMA for the area to be mapped

DESCRIPTION

This function maps a buffer imported via DRM PRIME into a userspace process's address space. Drivers that use the CMA helpers should set this as their DRM driver's ->gem_prime_mmap callback.

RETURNS

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT